using ButcherFactory.BO;
using ButcherFactory.BO.LocalBL;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ButcherFactory.Dialogs
{
  public partial class WeightDeleteRecord : Form
  {
    BindingList<CarcassSaleOut_Delete> list;
    public WeightDeleteRecord(long detailID)
    {
      InitializeComponent(); 
      uDataGridView1.BorderStyle = BorderStyle.FixedSingle;
      BindGrid(detailID);
    }

    void BindGrid(long detailID)
    {
      list = CarcassSaleOutBL.GetDeletedWeightRecord(detailID);     
      uDataGridView1.DataSource = list;
      uDataGridView1.Refresh();
    }

    private void closeBtn_Click(object sender, EventArgs e)
    {
      this.Close();
    }
  }
}
